package chemicraft;

import net.minecraft.src.ItemStack;

public class ChemiCraftTab {

	/**
	 * TabのID
	 */
	private int id;


	/**
	 * TabにOverlayするItemStack
	 */
	private ItemStack renderItemStack;


	/**
	 * Tabの名前
	 */
	private String tabName;


	/**
	 * TabがActiveであるかどうか
	 */
	private boolean theActive;



	/**
	 * ChemiCraftTabを作成します
	 * @param id
	 * @param tabName
	 * @param renderItemStack
	 */
	public ChemiCraftTab(int id, String tabName, ItemStack renderItemStack){
		this.id = id;
		this.renderItemStack = renderItemStack;
		this.tabName = tabName;
	}



	/**
	 * TabのIDを返します
	 * @return TabのID
	 */
	public int getID(){
		return this.id;
	}



	/**
	 * TabにOverlayするItemStackを返します
	 * @return TabにOverlayするItemStack
	 */
	public ItemStack getRenderItemStack(){
		return this.renderItemStack;
	}



	/**
	 * Tabの名前を返します
	 * @return Tabの名前
	 */
	public String getTabName(){
		return this.tabName;
	}



	/**
	 * Tabがアクティブであるかを返します
	 * @return Tabがアクティブであるか
	 */
	public boolean isActive(){
		return theActive;
	}



	/**
	 * Activeであるかを設定します
	 * @param active
	 */
	public void setActive(boolean active){
		this.theActive = active;
	}

}
