package chemicraft;

import java.io.ByteArrayOutputStream;
import java.io.DataInputStream;
import java.io.DataOutputStream;
import java.io.IOException;

import com.google.common.io.ByteArrayDataInput;
import com.google.common.io.ByteStreams;

import net.minecraft.src.NetworkManager;
import net.minecraft.src.Packet;
import net.minecraft.src.Packet250CustomPayload;
import net.minecraft.src.TileEntity;
import net.minecraft.src.World;
import cpw.mods.fml.common.network.IPacketHandler;
import cpw.mods.fml.common.network.Player;

/**
 * サーバーとクライアントのデータの同期に必要なクラス
 *
 * @author Lilly
 *
 */
public class PacketHandler implements IPacketHandler {

	@Override
	public void onPacketData(NetworkManager manager, Packet250CustomPayload packet, Player player) {
		if (packet.channel.equals("chemicraft")) {
			ByteArrayDataInput var1 = ByteStreams.newDataInput(packet.data);

			//TileEntityのx, y, z座標
			int x, y, z;
			//activeTab
			String activeTab;

			//座標読み込み
			x = var1.readInt();
			y = var1.readInt();
			z = var1.readInt();
			//activeTab読み込み
			activeTab = var1.readUTF();

			// TileEntityを取得し読み込んだデータを送る
			World world = ChemiCraft.proxy.getClientWorld();
			TileEntity tileEntity = world.getBlockTileEntity(x, y, z);
			if (tileEntity instanceof TileEntityScienceCraftingTable) {
				TileEntityScienceCraftingTable var2 = (TileEntityScienceCraftingTable) tileEntity;
				var2.setActiveTab(activeTab);
			}
		}
	}


	public static Packet getPacket(TileEntityScienceCraftingTable tileEntity) {
		ByteArrayOutputStream var1 = new ByteArrayOutputStream(128);
		DataOutputStream var2 = new DataOutputStream(var1);

		//Blockのx, y, z座標
		int x, y, z;
		//activeTab
		String activeTab;

		// x, y, z座標を代入
		x = tileEntity.xCoord;
		y = tileEntity.yCoord;
		z = tileEntity.zCoord;
		//activeTabに代入
		activeTab = tileEntity.getActiveTab();

		try {
			var2.writeInt(x);
			var2.writeInt(y);
			var2.writeInt(z);
			var2.writeUTF(activeTab);
		} catch (IOException e) {
			e.printStackTrace();
		}

		// パケットの作成
		Packet250CustomPayload packet = new Packet250CustomPayload();
		packet.channel = "chemicraft";
		packet.data = var1.toByteArray();
		packet.length = var1.size();
		packet.isChunkDataPacket = true;
		return packet;
	}
}
